1

I am running emacs 28.2 on windows 10, trying to start using the org-roam package which requires emacsql-sqlite. I have installed msys2 and used it to install gcc following the instructions here as well as adding the folder containing the gcc executable to my PATH. Emacs will not compile the binary on its own, instead giving this error when I try to run an org-roam command: Error (use-package): org-roam/:config: No EmacSQL SQLite binary available: (Cannot compile EmacSQL SQLite binary: "").

I continued following the linked instructions to manually compile it. This resulted in the following error when attempting to use org-roam: Error (use-package): org-roam/:config: Process emacsql-sqlite not running. Very strangely, having a compiled emacsql-sqlite binary stop magit from working with the same error even though it didn't have any issues with no access to the binary.

I have no idea how to move forward with this and would appreciate any advice.

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.